Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001276Frama-CKernelpublic2012-09-20 11:502015-03-17 22:18
ReporterAnne 
Assigned Tovirgile 
PrioritynormalSeveritymajorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C Oxygen-20120901 
Target VersionFixed in VersionFrama-C Sodium 
Summary0001276: Capitalized filename in Dynamic.load_module
DescriptionWhen calling
    Dynamic.load_module "share/lib/file"
if fails because it is looking for [./share/lib/File.cmxs] instead of [./share/lib/file.cmxs].

I guess there is a bad String.capitalize there.

(Warning: it seems that there is the same problem in the following function 'load_script')
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0005519)
virgile (developer)
2014-10-24 15:28

Fix committed to master branch.

- Issue History
Date Modified Username Field Change
2012-09-20 11:50 Anne New Issue
2012-09-20 13:09 signoles Status new => assigned
2012-09-20 13:09 signoles Assigned To => signoles
2014-10-24 14:49 virgile Assigned To signoles => virgile
2014-10-24 15:28 virgile Note Added: 0005519
2014-10-24 15:28 virgile Status assigned => resolved
2014-10-24 15:28 virgile Resolution open => fixed
2015-03-17 22:17 signoles Fixed in Version => Frama-C Sodium
2015-03-17 22:18 signoles Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker